package com.logicbig.example;

import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class ExampleMain1 {

    public static void main(String[] args) throws Exception {
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("test1");
        MyEntity1 entity1 = createEntity();
        Util.persistEntity(entity1, emf);
        Util.readEntity(MyEntity1.class, 1L, emf);
    }

    private static MyEntity1 createEntity() {
        System.out.println("-- Creating an entity instance ");
        MyEntity1 myEntity = new MyEntity1();
        myEntity.setMyId(1L);
        myEntity.setMyStr("testStr");
        System.out.println("-- Entity created: " + Util.toObjectStr(myEntity));
        return myEntity;
    }
}