package com.logicbig.example;

import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class ExampleMain2 {

    public static void main(String[] args) throws Exception {
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("test2");
        MyEntity2 entity = createEntity();
        Util.persistEntity(entity, emf);
        Util.readEntity(MyEntity2.class, 1L, emf);
    }

    private static MyEntity2 createEntity() {
        System.out.println("-- Creating an entity instance ");
        MyEntity2 myEntity = new MyEntity2();
        myEntity.setMyId(1L);
        myEntity.setMyStr("testStr");
        System.out.println("-- Entity created: " + Util.toObjectStr(myEntity));
        return myEntity;
    }
}