package com.logicbig.example;

import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class ExampleMain4 {

    public static void main(String[] args) throws Exception {
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("test4");
        MyEntity4 entity = createEntity();
        Util.persistEntity(entity, emf);
        Util.readEntity(MyEntity4.class, 1L, emf);
    }

    private static MyEntity4 createEntity() {
        System.out.println("-- Creating an entity instance ");
        MyEntity4 myEntity = new MyEntity4();
        myEntity.setMyId(1L);
        myEntity.setMyStr("testStr");
        System.out.println("-- Entity created: " + Util.toObjectStr(myEntity));
        return myEntity;
    }
}